import {
  select,
  csv,
  scaleLinear,
  extent,
  scaleBand,
  axisLeft,
  axisBottom,
  format,
  max, scaleOrdinal
} from 'd3';


const svg = select('svg');

const width = +svg.attr('width');
const height = +svg.attr('height');

const render=data=>{

var margin= {top: 20, right:20, bottom:35, left:80}
var innerWidth= width-margin.left-margin.right;
var innerHeight=height-margin.top-margin.bottom;
  
  
// now the axis
var TelsecopeNames= data.columns.slice(1)
var groups= data.map(function(d){return d.Months})

var xscale= d3.scaleBand()
.domain(groups)
.range([0,innerWidth])
.padding(0.2)

var yscale=d3.scaleLinear()
.domain([0,600])
.range([innerHeight,0])
.nice()

var xSubgroup = d3.scaleBand()
.domain('Lesedi','meter1','meter2')
.range([0, xscale.bandwidth()])
.padding([0.05])
// color palette = one color per subgroup
var color = d3.scaleOrdinal()
.domain(TelsecopeNames)
.range(['#e41a1c','#377eb8','#4daf4a'])

const g=svg.append("g")
.attr('transform',`translate(${margin.left},${margin.right})`)

var xAxis=g.append('g')
.classed('xAxis',true)
.call(d3.axisBottom(xscale))
.attr('transform',`translate(0,${innerHeight})`)

var yAxis= g.append('g')
.classed('yAxis',true)
.call(d3.axisLeft(yscale))

//now for the bars
// Enter in data = loop group per group
/* now for the Lesedi bars*/



}


d3.csv('data.csv')
.then(function(data){
data.forEach(function(d){
d.Lesedi=+d.Lesedi;
d.meter1=+d.meter1;
d.meter2=+d.meter2; 
})
render(data)  
console.log(data)
})

